%define name 	gtkglext
%define version 1.0.3
%define release 1mdk

%define major 	0
%define libname %mklibname %name %major

Summary:	GtkGLExt is an OpenGL extension to GTK 2.0 or later.
Name:		%name
Version:	%version
Release: 	%release
License:	LGPL
Group:		System/Libraries
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%_tmppath/%name-root
URL:		http://gtkglext.sourceforge.net
BuildRequires:	pkgconfig libMesaGLU-devel
BuildRequires:	libgtk+2.0_0-devel libgdk_pixbuf2.0_0-devel libpango1.0_0-devel

%description
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget. 

%package -n %{libname}
Summary:        GtkGLExt is an OpenGL extension to GTK 2.0 or later.
Group:          System/Libraries
Provides:	%name
Obsoletes:	%name = %version-%release

%description -n %{libname}
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget. 

%package -n %{libname}-devel
Summary: GtkGLExt is an OpenGL extension to GTK 2.0 or later.

Group: Development/GNOME and GTK+
Requires: %{libname} >= %{version}
Provides: lib%name-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 
Obsoletes: %name-devel

%description -n %{libname}-devel
Libraries and includes files you can use for GtkGLExt development.

%prep
%setup -q

%build
./configure --enable-static=yes --disable-rpath --prefix=/usr --libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog TODO README
%doc %{_datadir}/gtk-doc/html/gtkglext
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/%{name}*/include
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%changelog
* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 1.0.3-1mdk
- 1.0.3
- don't use configure macro (breaks .so names)

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.7.1-2mdk
- buildrequires glu

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.7.1-1mdk
- 0.7.1

* Thu Jan 30 2003 Austin Acton <aacton@yorku.ca> 0.7.0-1mdk
- bump version

* Wed Jan 08 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- bump version and libver
	- remove patches (fixed upstream)

* Sat Dec 6 2002 Austin Acton <aacton@yorku.ca> 0.5.1-1mdk
- initial package
